=== src/Makefile ===
# Makefile at top of src tree
TOP = ..
include $(TOP)/configure/CONFIG

# Directories to build, any order
DIRS += gdd
DIRS += pcas
DIRS += template

# Add any additional dependency rules here:

pcas_DEPEND_DIRS += gdd

include $(TOP)/configure/RULES_TOP
