=== src/pcas/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP=../..

include $(TOP)/configure/CONFIG

DIRS = build example

example_DEPEND_DIRS = build

include $(TOP)/configure/RULES_DIRS
