=== debian/changelog ===
epics-pcas (4.13.3-5) unstable; urgency=medium

  * Adjusting epics-dev requirement

 -- Jonathan Hanks <jhanks@caltech.edu>  Tue, 28 Nov 2023 09:41:16 -0800

epics-pcas (4.13.3-4) unstable; urgency=medium

  * Updating packaging to improve the upgrade experience from 3.15 by adding
    conflicts, replaces, breaks on epics-dev

 -- Jonathan Hanks <jhanks@caltech.edu>  Tue, 28 Nov 2023 09:17:54 -0800

epics-pcas (4.13.3-3) unstable; urgency=medium

  * Adding epics-dev as a requirement for epics-pcas-dev

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 27 Nov 2023 16:41:12 -0800

epics-pcas (4.13.3-2) unstable; urgency=medium

  * Fixed a requirements issue, rename requirement from libpcas* to epics-pcas*
  * Fixed a install path for the doc package

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 27 Nov 2023 16:19:21 -0800

epics-pcas (4.13.3-1) moderate; urgency=low

  * Initial packaging for Debian 12 with base 7

 -- jonathan.hanks <jhanks@caltech.edu>  Wed, 22 Nov 2023 23:53:45 +0000
