=== debian/control ===
Source: epics-pcas
Section: unknown
Priority: optional
Maintainer: root <>
Build-Depends:
  debhelper-compat (= 13),
  epics-dev (>= 7.0.7),
  epics-debhelper,
Standards-Version: 4.5.1
Homepage:  https://github.com/epics-modules/pcas

Package: epics-pcas
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Portable Channel Access Server libraries
 This package contains the runtime libraries for the Portable
 Channel Access Server (pcas).

Package: epics-pcas-dev
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, epics-pcas, epics-dev ( >= 7.0.7 )
Replaces: epics-dev ( << 4.0 )
Breaks: epics-dev ( << 4.0 )
Conflicts: epics-dev ( << 4.0 )
Description: Portable Channel Access Server Development files
 This package contains the development files for the Portable
 Channel Access Server (pcas).

Package: epics-pcas-doc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, epics-pcas-dev
Description: Portable Channel Access Server Development Documentation
 This package contains the documentation files for the Portable
 Channel Access Server (pcas).
